package icsTables;

import org.w3c.dom.Document;

/**
 *	Represents General ICS Table	
 * @author MC
 */
public class ICSGeneralTableModel extends ICSTableModel{
    
    /** Creates a new instance of ICSTableMOCAttribute 
     * @param strXMLFile
     * */
    public ICSGeneralTableModel( String strXMLFile) {
        super(strXMLFile);
    }
    
    /**
     * Creates a new instance of ICSTableMOCAttribute
     */
    public ICSGeneralTableModel()
    {
        super();
    }
    /**
     * @see icsTables.ICSTableModel#init()
     */
    public void init()
    {
       strTitle = "General ICS";
        strTableName = "Table 10.1";
        strDescription = "in a top-level General ICS, the implementer specifies the versions/revisions that are supported by the implementation as well as some high-level system behaviour definitions.";
        strXsltFileName = "..\\XSLT\\GeneralIcs1.xsl";
        strDefaultXmlFile = "..\\xml\\GeneralICS.xml";
    }
    /** Creates a new instance of ICSTableMOCAttribute 
     * @param doc
     * */
    public ICSGeneralTableModel( Document doc) {
        super(doc);
        init();
    }
}
